<template>
	<div class="container">
		<h2 class="login-text">{{ loginText }}</h2>
		<input v-model="username" type="text" id="login-id">
		<router-link to="/home" event="" @click.native.prevent="pushLink"><button type="submit" id="login-submit">Login</button></router-link>
	</div>
</template>

<script>
	export default {
		name: 'LoginForm',
		data () {
			return {
				username: '',
				loginText: 'In order to login, please enter your name:',
				route: '/home'
			}
		},
		methods: {
			validate () {
				var input = document.getElementById('login-id')
				if (input.value.trim() != null && input.value.trim() != '') {
					return true
				} else {
					input.style.transition = "all 0.3s ease-in"
					input.style.background = "rgba(255, 0, 0, 0.6)"
					return false
				}
			},
			pushLink () {
				var vm = this
				var result = vm.validate()
				if (result) {
					this.$router.push(vm.route)
				} else {
					alert('Type in your name, please :)')
				}
			}
		}
	}
</script>
